## gmt-6.6.0-2.src.tar.gz

=== doc/examples/CMakeLists.txt ===
#
# Copyright (c) 1991-2025 by the GMT Team (https://www.generic-mapping-tools.org/team.html)
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: www.generic-mapping-tools.org
#-------------------------------------------------------------------------------

if (SPHINX_FOUND)
	# Copy PS sources for gmt release
	if (GIT_FOUND AND HAVE_GIT_VERSION)
		add_custom_target (_examples_images_release
			COMMAND ${CMAKE_COMMAND} -E copy_directory
			${CMAKE_CURRENT_SOURCE_DIR}/images/
			${GMT_RELEASE_PREFIX}/doc/examples/images
			DEPENDS git_export_release)
		add_depend_to_target (gmt_release _examples_images_release)
	endif (GIT_FOUND AND HAVE_GIT_VERSION)

	# Convert figures to PNG
	file (GLOB _examples RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/images/*.ps")
	set (_examples_png)

	if (GMT_DOCS_DEPEND_ON_GMT)
		set (_gmt_command ${GMT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/src/gmt)
	else (GMT_DOCS_DEPEND_ON_GMT)
		set (_gmt_command gmt)
	endif (GMT_DOCS_DEPEND_ON_GMT)

	foreach (_ps ${_examples})
		get_filename_component (_fig ${_ps} NAME)
		string (REPLACE ".ps" ".png" _png_fig ${_fig})
		list (APPEND _examples_png ${RST_BINARY_DIR}/_images/${_png_fig})
		add_custom_command (OUTPUT ${RST_BINARY_DIR}/_images/${_png_fig}
			COMMAND ${CMAKE_COMMAND} -E env
			GMT_SHAREDIR=${GMT_SOURCE_DIR}/share
			${_gmt_command} psconvert
			-A -P -E150 -Tg -Qg4 -Qt4
			-C-sFONTPATH="${GMT_SOURCE_DIR}/doc/examples/ex31/fonts"
			-D${RST_BINARY_DIR}/_images
			${CMAKE_CURRENT_SOURCE_DIR}/${_ps}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			DEPENDS gmt_for_img_convert ${CMAKE_CURRENT_SOURCE_DIR}/${_ps})
	endforeach (_ps ${_examples})

	# Convert scripts to verbatim
	file (GLOB _examples RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/*/*.sh")
	set (_examples_txt)
	foreach (_script ${_examples})
		get_filename_component (_txt ${_script} NAME)
		string (REPLACE ".sh" ".txt" _txt ${_txt})
		list (APPEND _examples_txt ${RST_BINARY_DIR}/_verbatim/${_txt})
		add_custom_command (OUTPUT ${RST_BINARY_DIR}/_verbatim/${_txt}
			COMMAND ${GMT_BINARY_DIR}/src/script2verbatim
			${CMAKE_CURRENT_SOURCE_DIR}/${_script}
			${RST_BINARY_DIR}/_verbatim/${_txt}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			DEPENDS script2verbatim _docs_rst_mkdir_verbatim ${CMAKE_CURRENT_SOURCE_DIR}/${_script})
	endforeach (_script ${_examples})

	# Add build target
	add_custom_target (_docs_examples_verbatim DEPENDS ${_examples_txt})
	add_custom_target (_docs_html_examples_fig DEPENDS ${_examples_png})
	add_depend_to_target (docs_depends _docs_html_examples_fig _docs_examples_verbatim)

endif (SPHINX_FOUND)

# run examples (test)
file (GLOB _examples RELATIVE ${CMAKE_SOURCE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/ex*/*.sh")
# Remove a few known failed examples from tests
list (REMOVE_ITEM _examples "doc/examples/ex51/ex51.sh")
list (REMOVE_ITEM _examples "doc/examples/ex49/ex49.sh")
if (DO_EXAMPLES AND BASH)
	foreach (_job ${_examples} ${_anims})
		add_test (NAME ${_job}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			COMMAND ${BASH} ${CMAKE_BINARY_DIR}/test/gmtest ${_job})
	endforeach (_job ${_examples} ${_anims})
endif (DO_EXAMPLES AND BASH)

=== doc/rst/requirements.txt ===
# Sphinx theme and extensions used in the GMT documentation
#
# To install them, use
#
#   pip install -r doc/rst/requirements.txt
#
sphinx_rtd_theme==2.0.0
sphinx-copybutton==0.5.2
sphinx-design==0.6.1
sphinx-jinja==2.0.2
sphinx-togglebutton==0.3.2
sphinxcontrib-youtube==1.4.1

=== PKGBUILD ===
# Maintainer: Bruno Pagani <archange@archlinux.org>

pkgbase=gmt
pkgname=(gmt gmt-doc)
pkgver=6.6.0
pkgrel=2
pkgdesc="Generic Mapping Tools for manipulating and plotting geographic and cartesian data"
arch=(x86_64)
url="https://www.generic-mapping-tools.org"
license=(LGPL)
makedepends=(cmake blas curl ffmpeg fftw gdal geos ghostscript graphicsmagick lapack openmp netcdf pcre2 zlib python-sphinx)
source=(https://github.com/GenericMappingTools/gmt/releases/download/${pkgver}/${pkgname}-${pkgver}-src.tar.xz)
sha256sums=('18ac98b11b8fc924463ce5138385c02e9426780fba9ff63a991e2e8ecdbd1082')

build() {
  cmake -B build -S ${pkgname}-${pkgver} \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DGMT_LIBDIR=lib \
    -DGMT_DATADIR=share/gmt \
    -DGMT_MANDIR=share/man \
    -DGMT_DOCDIR=share/doc/gmt \
    -DGMT_ENABLE_OPENMP=ON \
    -DGSHHG_ROOT=/usr/share/gmt/coast \
    -DDCW_ROOT=/usr/share/gmt/dcw \
    -DCOPY_GSHHG=OFF \
    -DCOPY_DCW=OFF \
    -DCMAKE_POLICY_VERSION_MINIMUM=3.5
  make -C build
}

package_gmt() {
  depends=(blas curl fftw gdal geos lapack openmp netcdf pcre2 zlib)
  optdepends=(
    'gmt-doc: documentation'
    'ffmpeg: generate movies'
    'ghostscript: convert PostScript outputs'
    'graphicsmagick: generate animated GIFs'
  )
#    'gmt-coast: coastlines'
#    'gmt-dcw: digital chart of the world polygon map'

  make -C build DESTDIR="${pkgdir}" install
  mv "${pkgdir}"/usr/share/doc "${srcdir}"/
}

package_gmt-doc() {
  install -d "${pkgdir}"/usr/share/
  mv doc "${pkgdir}"/usr/share/
}
